<?php

if (!defined('BASEPATH'))
    exit('No direct script access allowed');

class Schedule extends CI_Controller{
    
        
    function __construct(){
        parent::__construct();
        error_reporting(E_ALL);
        ini_set('display_errors', 1);
       
    }

    public function save(){
        $data = array();
        $isDelete = $this->input->post('is_delete');
        $repeatDays = $this->input->post('repeat_days');
        $scheduleTime = $this->input->post('schedule_time');
        $scheduleDate = $this->input->post('schedule_date');
        $deleteVal = $this->input->post('delete_val');
        $deleteType = $this->input->post('delete_type');
        $typePost = $this->input->post('type_post');
        $caption = $this->input->post('caption');
        $userID = $this->input->post('user_id');
        $typeSchedule = $this->input->post('type_schedule');
        $isRepeat = $this->input->post('is_repeat');
        $isDelete = $this->input->post('is_delete');
        $jobID = $this->input->post('job_id');
        $accounts = $this->input->post('accounts');

        $save = array();
        $save['created_at'] = date('Y-m-d H:i:s');
        $save['updated_at'] = date('Y-m-d H:i:s');
        $save['schedule_date'] = $scheduleDate;
        $save['schedule_time'] = $scheduleTime;
        $save['type_schedule'] = $typeSchedule;
        $save['type_post'] = $typePost;
        $save['user_id'] = $userID;
        $save['delete_type'] = $deleteType;
        $save['delete_val'] = $deleteVal;
        $save['repeat_days'] = $repeatDays;
        $save['is_repeat'] = $isRepeat;
        $save['is_delete'] = $isDelete;
        $save['job_id'] = $jobID;
        $save['accounts'] = $accounts;

        $res = $this->db->insert('member_schedule', $save);

        if($res){
            $data['status'] = true;
            $data['message'] = "Berhasil";
            $data['data']['action'] = 'null';
        }else{
            $data['status'] = false;
            $data['message'] = "Failed";
        }
        

        echo json_encode($data);
    }

    public function get_schedule($userID){
        $data = array();

        $sql = "SELECT * FROM member_schedule WHERE user_id = ?";
        $q = $this->db->query($sql, array($userID));

        if($q->num_rows() > 0){
            $data['status'] = true;
            $data['message'] = 'Berhasil';
            $data['data']['schedule'] = $q->result();
        }else{
            $data['status'] = false;
            $data['message'] = 'Not found';
        }

        echo json_encode($data);
    }
    

}

/* End of file Groups.php */
/* Location: ./application/controllers/Groups.php */
/* Please DO NOT modify this information : */
/* Generated by Harviacode Codeigniter CRUD Generator 2016-05-14 11:23:29 */
/* http://harviacode.com */
